defmodule Akkoma2org.ActivityStream.Action do
  use Ecto.Schema
  import Ecto.Changeset

  @primary_key {:id, :id, autogenerate: true, source: :rowid}
  schema "actions" do
    field :action_type, :string
    field :actor, :string
    field :content, :string
    field :dest, :string
    field :external_id, :string
    field :published, :string
    field :post_source, :string
    field :summary, :string
    field :type, :string
    field :full_action, :string

    field :rank, :float, virtual: true

    timestamps()
  end

  @doc false
  def changeset(action, attrs) do
    action
    |> cast(attrs, [
      :actor,
      :dest,
      :summary,
      :content,
      :post_source,
      :published,
      :type,
      :action_type,
      :external_id
    ])
    |> unique_constraint(:external_id)
    |> validate_required([
      :actor,
      :dest,
      :published,
      # :type,
      # :action_type,
      :external_id
    ])
  end
end
