defmodule Akkoma2org.Application do
  # See https://hexdocs.pm/elixir/Application.html
  # for more information on OTP Applications
  @moduledoc false

  use Application

  @impl true
  def start(_type, _args) do
    children = [
      # Start the Telemetry supervisor
      Akkoma2orgWeb.Telemetry,
      # Start the Ecto repository
      Akkoma2org.Repo,
      # Start the PubSub system
      {Phoenix.PubSub, name: Akkoma2org.PubSub},
      # Start Finch
      {Finch, name: Akkoma2org.Finch},
      # Start the Endpoint (http/https)
      Akkoma2orgWeb.Endpoint
      # Start a worker by calling: Akkoma2org.Worker.start_link(arg)
      # {Akkoma2org.Worker, arg}
    ]

    # See https://hexdocs.pm/elixir/Supervisor.html
    # for other strategies and supported options
    opts = [strategy: :one_for_one, name: Akkoma2org.Supervisor]
    Supervisor.start_link(children, opts)
  end

  # Tell Phoenix to update the endpoint configuration
  # whenever the application is updated.
  @impl true
  def config_change(changed, _new, removed) do
    Akkoma2orgWeb.Endpoint.config_change(changed, removed)
    :ok
  end
end
