defmodule Akkoma2orgWeb.ActionLive.Show do
  use Akkoma2orgWeb, :live_view

  alias Akkoma2org.ActivityStream

  @impl true
  def mount(_params, _session, socket) do
    {:ok, socket}
  end

  @impl true
  def handle_params(%{"id" => id}, _, socket) do
    {:noreply,
     socket
     |> assign(:page_title, page_title(socket.assigns.live_action))
     |> assign(:action, ActivityStream.get_action!(id))}
  end

  defp page_title(:show), do: "Show Action"
  defp page_title(:edit), do: "Edit Action"
end
