defmodule Mix.Tasks.Akkoma2org.ApiIngest do
  @moduledoc "The ingest mix task: `mix help api_ingest`"
  use Mix.Task

  @shortdoc "Ingest from an API"
  def run(args) do
    Mix.Task.run("app.start")

    user =
      case System.get_env("AKKOMA_EMAIL") do
        nil ->
          user = Mix.Tasks.Hex.password_get("Login Email: ") |> String.replace_trailing("\n", "")

          :os.putenv(String.to_charlist("AKKOMA_EMAIL"), String.to_charlist(user))
          user

        user ->
          user
      end

    pass =
      case System.get_env("AKKOMA_PASSWORD") do
        nil ->
          pass = Mix.Tasks.Hex.password_get("Password: ") |> String.replace_trailing("\n", "")
          :os.putenv(String.to_charlist("AKKOMA_PASSWORD"), String.to_charlist(pass))
          pass

        pass ->
          pass
      end

    Akkoma2org.ActivityStream.APIBackfill.backfill(user: user, password: pass)
  end
end
