defmodule Akkoma2org.ActivityStreamFixtures do
  @moduledoc """
  This module defines test helpers for creating
  entities via the `Akkoma2org.ActivityStream` context.
  """

  @doc """
  Generate a action.
  """
  def action_fixture(attrs \\ %{}) do
    {:ok, action} =
      attrs
      |> Enum.into(%{
        action_type: "some action_type",
        actor: "some actor",
        content: "some content",
        dest: "some dest",
        external_id: "some external_id",
        published: "some published",
        post_source: "some source",
        summary: "some summary",
        type: "some type"
      })
      |> Akkoma2org.ActivityStream.create_action()

    action
  end
end
